/**
 * \file EspaceP.h
 * Classe de gestion d'une matrice de pointeurs.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

#ifndef ____ESPACEP____
#define ____ESPACEP____

/**
 * \class EspaceP
 * Classe de gestion d'une matrice de pointeurs.
 * 
 * @author Nicolas Janey
 * @author nicolas.janey@univ-fcomte.fr
 * @version 1.0, 01/01/10
 */

class EspaceP {

  public :
    int dx ;
    int dy ;
    void ***p ;

  public :
    EspaceP(int dx,int dy) ;
    EspaceP(EspaceP *dd) ;
    ~EspaceP(void) ;
    void init(unsigned char v) ;
    void *cherche(int x,int y) ;
    void sauve(void *c,int x,int y) ;
    long getUsedMemory(void);
    int getUsedHandles(void);
} ;

#endif
